

<?php 


/////
$hide_mainmenu = 1; // Скрыть главное мобильное меню modern шаблона

///// Настройки положения меню
$htop = 117; // Высота шапки. Используется для верхнего отступа контейнера меню 

///// Настройки положения кнопки вызова меню
$btn_left = 'auto'; // Отступ сверху
$btn_right = '27px'; // Отступ сверху
$btn_top = '79px'; // Отступ сверху
$btn_color = '#fff'; // Цвет кнопки
$btn_bg = '#008cba'; // Фон кнопки


////////////////////////////////////////
///////////////// Когда страница прокручивается ниже положение шапки //////
///////////////////////////////////////

/// своя фиксированная шапка при прокрутке страницы
$is_scroll_head = 1; // 0 - отключить
///// логотип
$logo = '/templates/modern/images/small_logo.svg';

///// Настройки положения меню
$scroll_htop = 64; // Высота шапки. Используется для верхнего отступа контейнера меню 

///// Настройки положения кнопки вызова меню
$scroll_btn_left = 'auto'; // Отступ сверху
$scroll_btn_right = '27px'; // Отступ сверху
$scroll_btn_top = '20px'; // Отступ сверху
$scroll_btn_color = '#fff'; // Цвет кнопки
$scroll_btn_bg = '#008cba'; // Фон кнопки

?>




<?php $this->addMainCSS("templates/{$this->name}/mobmenu/styles/jquery-simple-mobilemenu-slide.css"); ?>
<?php $this->addMainJS("templates/{$this->name}/mobmenu/jquery-simple-mobilemenu.min.js"); ?>
<ul class="<?php echo $css_class ? $css_class : ''; ?> mobile_menu">


<?php $last_level = 0; ?>

<?php foreach ($menu as $id => $item) { ?>

    <?php for ($i=0; $i<($last_level - $item['level']); $i++) { ?>
        </li></ul>
    <?php } ?>

    <?php if ($item['level'] <= $last_level) { ?>
        </li>
    <?php } ?>

    <?php

        $is_active = in_array($id, $active_ids);

        $css_classes = ['nav-item'];
        if ($item['level'] > 1) {
            $css_aclasses = ['folder-item text-nowrap'];
        } else {
            $css_aclasses = ['nav-link text-nowrap'];
        }
        if ($is_active) {
            $css_classes[] = 'is-active';
            $css_aclasses[] = 'active';
        }
        if ($item['childs_count'] > 0) {
            $css_classes[] = 'folder';
            $css_aclasses[] = 'folder-toggler';
            $item['attributes']['data-toggle'] = 'dropdown';
            if ($item['level'] >= 2){
                $css_classes[] = 'dropright';
            }
        }
        if (!empty($item['options']['class'])) {
            $css_classes[] = $item['options']['class'];
        }

    ?>

    <li <?php if ($css_classes) { ?>class="<?php echo implode(' ', $css_classes); ?>"<?php } ?>>
        <?php if ($item['disabled']) { ?>
            <span class="nav-link disabled"><?php html($item['title']); ?></span>
        <?php } else { ?>
            <a <?php if (!empty($item['title'])) {?>title="<?php echo html($item['title']); ?>"<?php } ?> class="<?php echo implode(' ', $css_aclasses); ?>" href="<?php echo !empty($item['url']) ? htmlspecialchars($item['url']) : 'javascript:void(0)'; ?>" <?php echo html_attr_str($item['attributes']); ?>>
                <?php if (!empty($item['options']['icon'])) {
                    $icon_params = explode(':', $item['options']['icon']);
                    if(!isset($icon_params[1])){ array_unshift($icon_params, 'solid'); }
                    html_svg_icon($icon_params[0], $icon_params[1]);
                } ?>
                <?php if (!empty($item['title'])) { echo $item['title']; } ?>
                <?php if (!empty($item['counter'])){ ?>
                    <span class="counter badge"><?php html($item['counter']); ?></span>
                <?php } ?>
            </a>
        <?php } ?>

        <?php if ($item['childs_count'] > 0) { ?><ul class="submenu"><?php } ?>

    <?php $last_level = $item['level']; ?>

<?php } ?>

<?php for ($i=0; $i<$last_level; $i++) { ?>
    </li></ul>
<?php } ?>


<?php ob_start(); ?>
<?php if($is_scroll_head ){ ?>
<div id="sm_menu_ham_header" style="display:nones">
            <img src="<?php echo $logo; ?>" alt="">
</div>
<?php } ?>
		
		
<style>

#sm_menu_ham_header{
	transition:all 0.5s ease-in-out;
	height: <?php echo $scroll_htop; ?>px;
	display:flex;
	align-items:center;
    position: fixed;	
	top:-<?php echo $scroll_htop; ?>px;
	left:0;
	right:0;
	z-index:9999;
	background:<?php echo $btn_bg; ?>;
}
#sm_menu_ham_header img{
	height:<?php echo $scroll_htop-20; ?>px !important;
	width:auto !important;
	margin-left:20px;
}


#sm_menu_ham {
    float: left;
    height: 24px;
    position: fixed;
    right: <?php echo $btn_right; ?> !important;
    left: <?php echo $btn_left; ?> !important;	
    top: <?php echo $btn_top; ?> !important;
    background: <?php echo $btn_bg; ?> !important;
    color: <?php echo $btn_color; ?> !important;	
    outline: 0 !important;
    box-shadow: 0 0 0 5px <?php echo $btn_bg; ?>;
    width: 30px;
    z-index: 99;
}

.sm_menu_outer {
    height: calc(100vh - <?php echo $htop; ?>px);
}

body.scroll #sm_menu_ham {
    right: <?php echo $scroll_btn_right; ?> !important;
    left: <?php echo $scroll_btn_left; ?> !important;	
    top: <?php echo $scroll_btn_top; ?> !important;
    background: <?php echo $scroll_btn_bg; ?> !important;
    color: <?php echo $scroll_btn_color; ?> !important;	  
    box-shadow: 0 0 0 5px <?php echo $scroll_btn_bg; ?>;
}

body.scroll .sm_menu_outer {
    height: calc(100vh - <?php echo $scroll_htop; ?>px);
}
body.scroll #sm_menu_ham_header{top:0;}


.sm_menu_outer ul,
.sm_menu_outer ul li {
    margin:0 !important; padding:0 !important; list-style:none !important;
	background:#000;
}
.sm_menu_outer .hasChild.active{
	height:100vh !important
}
<?php if($hide_mainmenu){ ?>
header .navbar-toggler[data-target="#target-main"]{
	display:none !important;
}
<?php } ?>

</style>

<script>
$(document).ready(function() {
	
$( ".mobile_menu .folder > a" ).click(function() {
   return false;
});
        $(".mobile_menu").simpleMobileMenu({
            onMenuLoad: function(menu) {
            },
            onMenuToggle: function(menu, opened) {
              
            },
            "menuStyle": "slide"
        });
		
	  	$(window).scroll(function(){

			var $win = $(window);
			if ($win.scrollTop() > <?php echo $scroll_htop; ?>) {
				$('body').addClass('scroll');
			} else {
				$('body').removeClass('scroll');
			}
		
		});
		
})
</script>
<?php $this->addBottom(ob_get_clean()); ?>



